PHP Manual
Prev |  | Next

# runkit_constant_add

(PECL)

runkit_constant_add -- Similar to define(), but allows defining in class definitions as well

## Description

bool runkit_constant_add ( string constname, mixed value )

## Parameters

`constname`

  Name of constant to declare. Either a string to indicate a global constant, or `classname::constname` to indicate a class constant.

`value`

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

define()
runkit_constant_redefine()
runkit_constant_remove()

Prev | Home | Next
runkit_class_emancipate | Up | runkit_constant_redefine